EDIT - bug #7387

TaxonNamePopEditor: ConstraintViolationException on saving a basionym
04/27/2018 03:46 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Wolf-Henning Kusber % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.0

Severity: major Found in Version:

Description

Akzeptierter Name mit Basionym (neu) einer bisher nicht vorhandenen Publikation mit einem bisher nicht vorhandenen Autor.
Der Speicherfehler tritt dann immer beim Abspeichern des Basionyms auf.

Caused by: org.hibernate.exception.ConstraintViolationException: could not execute statement

at org.hibernate.exception.internal.SQLExceptionTypeDelegate.convert (SQLExcept
ionTypeDelegate. java:59)

at org.hibernate.exception.internal.StandardSQLExceptionConverter.convert (Stan
dardSQLExceptionConverter. java:42)

at org.hibernate.engine. jdbc.spi.SglExceptionHelper.convert (SglExceptionHelper
.java:109)

at org.hibernate.engine. jdbc.spi.SglExceptionHelper.convert (SqglExceptionHelper
.java:95)

at org.hibernate.engine. jdbc.internal.ResultSetReturnImpl.executeUpdate (Result
SetReturnImpl. java:207)

at org.hibernate.engine. jdbc.batch.internal.NonBatchingBatch.addToBatch (NonBat
chingBatch. java:45)

at org.hibernate.persister.entity.AbstractEntityPersister.insert (AbstractEntit
yPersister.java:2886)

at org.hibernate.persister.entity.AbstractEntityPersister.insert (AbstractEntit
yPersister.java:3386)

at org.hibernate.action.internal.EntityInsertAction.execute (EntityInsertAction
.java:89)

at org.hibernate.engine.spi.ActionQueue.executeActions (ActionQueue. java:560)

at org.hibernate.engine.spi.ActionQueue.executeActions (ActionQueue. java:434)

at org.hibernate.event.internal.AbstractFlushingEventListener.performExecution
s (AbstractFlushingEventListener. java:337)

at org.hibernate.event.internal.DefaultFlushEventListener.onFlush (DefaultFlush
EventListener. java:39)

at org.hibernate.internal.SessionImpl.flush (SessionImpl.java:1282)

at org.hibernate.internal.SessionImpl.managedFlush (SessionImpl. java:465)

at org.hibernate.internal.SessionImpl.flushBeforeTransactionCompletion (Session
Impl.java:2963)

at org.hibernate.internal.SessionImpl.beforeTransactionCompletion (SessionImpl.
java:2339)

at org.hibernate.engine. jdbc.internal.JdbcCoordinatorImpl.beforeTransactionCom
pletion (JdbcCoordinatorImpl. java:485)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourceLocalT
ransactionCoordinatorImpl.beforeCompletionCallback (JdbcResourcelLocalTransactionCoordinatorImpl. jav
a:147)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourceLocalT
ransactionCoordinatorImpl.access$100 (JdbcResourcelLocalTransactionCoordinatorImpl. java:38)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalT
ransactionCoordinatorImpl$TransactionDriverControlImpl.commit (JdbcResourcelLocalTransactionCoordina
torImpl.java:231)

at org.hibernate.engine.transaction.internal.TransactionImpl.commit (Transactio
nImpl.java:65)

at org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (Hib
ernateTransactionManager. java:581)
Caused by: com.mysqgl. jdbc.exceptions. jdbc4.MySQLIntegrityConstraintViolationException: Duplicate e
ntry '£30e0552-929c-4390-b292-e422e7£3d7af' for key 'UK_1l3ppOmset90ltk84pnvytx215'

at sun.reflect.NativeConstructorAccessorImpl.newInstance0 (Native Method)

at sun.reflect.NativeConstructorAccessorImpl.newInstance (NativeConstructorAcce
ssorImpl.java:62)

at sun.reflect.DelegatingConstructorAccessorImpl.newInstance (DelegatingConstru
ctorAccessorImpl.java:45)

at java.lang.reflect.Constructor.newInstance (Constructor.java:423)

at com.mysqgl.jdbc.Util.handleNewInstance (Util. java:404)

at com.mysqgl.jdbc.Util.getInstance (Util.java:387)

at com.mysqgl.jdbc.SQLError.createSQLException (SQLError. java: 932)

at com.mysqgl. jdbc.MysglIO.checkErrorPacket (MysglIO. java:3878)

at com.mysqgl. jdbc.MysglIO.checkErrorPacket (MysqlIO. java:3814)

at com.mysqgl. jdbc.MysglIO.sendCommand (MysglIO. java:2478)

at com.mysqgl. jdbc.MysglIO.sglQueryDirect (MysglIO. java:2625)

at com.mysgl. jdbc.ConnectionImpl.execSQL (ConnectionImpl. java:2551)

at com.mysqgl. jdbc.PreparedStatement.executeInternal (PreparedStatement.java:186

1)

at com.mysqgl. jdbc.PreparedStatement.executeUpdateInternal (PreparedStatement. ja
va:2073)

at com.mysqgl. jdbc.PreparedStatement .executeUpdatelnternal (PreparedStatement. ja
va:2009)

at com.mysqgl. jdbc.PreparedStatement .executelLargeUpdate (PreparedStatement. java:
5094)

at com.mysqgl. jdbc.PreparedStatement.executeUpdate (PreparedStatement.java:1994)
at com.mchange.v2.c3p0.impl.NewProxyPreparedStatement.executeUpdate (NewProxyPr
eparedStatement. java:384)
at org.hibernate.engine. jdbc.internal.ResultSetReturnImpl.executeUpdate (Result
SetReturnImpl. java:204)
Related issues:
Related to EDIT - bug #7386: TaxonNamePopEditor: com.vaadin.data.Property$Rea... Closed

History

#1 - 04/27/2018 03:50 PM - Andreas Kohlbecker

The violated contrained UK_I3ppOmset9oltk84pnvytx215 in the stackstace above is the Unique contraint for the TaxonName.uuid

#2 - 04/27/2018 04:30 PM - Andreas Kohlbecker
- Related to bug #7386: TaxonNamePopEditor: com.vaadin.data.Property$ReadOnlyException on saving a basionym added

#3 - 05/02/2018 04:12 PM - Andreas Kohlbecker
- Status changed from New to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

this has apparently been solved by fixing #7386.

Hening can you reproduce this issue? Otherwise we can close it as duplicate of #7386

#4 - 07/03/2018 11:16 AM - Wolf-Henning Kusber

- Status changed from Feedback to Worksforme

#5 - 07/03/2018 11:16 AM - Wolf-Henning Kusber

- Status changed from Worksforme to Closed
